#include <cstdio>
#include <windows.h>

int main()
{
	INPUT_RECORD ir;

	for (;;)
	{
		DWORD n;
		if (!ReadConsoleInputW(GetStdHandle(STD_INPUT_HANDLE), &ir, 1, &n))
			return false;

		if (ir.EventType != WINDOW_BUFFER_SIZE_EVENT)
			continue;

		CONSOLE_SCREEN_BUFFER_INFO csbi;
		if (!GetConsoleScreenBufferInfo(GetStdHandle(STD_OUTPUT_HANDLE), &csbi))
			return false;

		if (csbi.srWindow.Left > csbi.srWindow.Right || csbi.srWindow.Top > csbi.srWindow.Bottom)
		{
			wprintf(
				L"dwSize = [%d, %d]\n"
				L"dwCursorPosition = [%d, %d]\n"
				L"wAttributes = %d\n"
				L"srWindow = [%d, %d, %d, %d]\n"
				L"dwMaximumWindowSize = [%d, %d]\n",
				csbi.dwSize.X, csbi.dwSize.Y,
				csbi.dwCursorPosition.X, csbi.dwCursorPosition.Y,
				csbi.wAttributes,
				csbi.srWindow.Left, csbi.srWindow.Top, csbi.srWindow.Right, csbi.srWindow.Bottom,
				csbi.dwMaximumWindowSize.X, csbi.dwMaximumWindowSize.Y
			);
		}
	}
}